#!/usr/bin/perl

############################################
##                                        ##
##   Account Manager LITE Administration  ##
##          by CGI Script Center          ##
##       (e-mail cgi@elitehost.com)       ##
##                                        ##
##             version:  1.05             ##
##         last modified:  11/02/98       ##
##           copyright (c) 1998           ##
##                                        ##
##    latest version is available from    ##
##        http://cgi.elitehost.com        ##
##                                        ##
############################################
##############################################################
# EDIT THE VARIABLES BELOW ###################################
##############################################################
#config.pl ġ  ּ..

require "/home/chat/public_html/aml/config.pl";

##############################################################
##############################################################
#
# COPYRIGHT NOTICE:
#
# Copyright 1998 Elite Host.  All Rights Reserved.
#
# TERMS OF USE 
# 1. Account Manager LITE is offered as shareware.  In exchange
# for its use, the CGI Script Center requires the following:
#
# Customer/User may use/install Account Manager LITE as many
# times as customer wishes, as long as customer owns th web
# site that Account Manager LITE is installed on.  Account
# Manager LITE may not under any circumstances be sold
# or redistributed without the written consent of CGI Script Center and # its owner Diran Alemshah.
#
# 2. CGI Script Center, at its own discresion, will decide if any terms 
# of the this agreement have been violated by customer. Upon written e- # mailed notification to Customer of Terms of Use violations, CGI
# Script Center may revoke customer's license to use Account Manager
# LITE.
#
# In that event, Customer agrees to any and all of the following:
#
# a) Customers found in violation of this agreement, found reselling or
# redistributing Account Manager LITE, will no longer be licensed to 
# use Account Manager LITE and agrees to either immediately cease
# the use/distribution of Account Manager LITE or pay the CGI
# Script Center the full price of our Professional Series Account
# Manager for each copy used and/or distributed.
# 
# b). Customer will no longer be licensed to run any version of 
# Account Manager. 
#
# Indemnification
# 1. Customer agrees that it shall defend, indemnify, save and hold
# CGI Script Center, Elite Web Design and marketing, and any
# persons affiliated with either company, harmless from any and all
# demands, liabilities, losses, costs and claims, including reasonable
# attorney's fees asserted against CGI Script Center, its agents, its
# customers, officers and employees, that may arise or result from any
# service provided or performed or agreed to be performed or any product # sold by customer, its agents, employees or assigns. Customer agrees to # defend, indemnify and hold harmless CGI Script Center, its # agents,  # its cusomters, officers, and employes,against
# liabilities arising out of; a) any injury to person or property caused # by an products sold or  otherwise distributed in connection with CGI
# Script Center products; (b) any material supplied by customer
# infringing or allegedly infringing on the proprietary rights of a
# third party; c) copyright infringement and (d) any defective products # sold to customer from CGI Script Center products.
#
# This program may not be distributed in whole or part, freely, for pay, # or any other form of compensation.  This program may not be offered
# by Internet Service and/or other providers to their customers, whether
# for free or compensation.  Contanct the CGI Script Center for
# commercial licensing information.
#
#################################################################
# ̹ н Դϴ.
# This version designed for UNIX servers.  If you require
# a Win32(NT/Win95) version, please visit: http://cgi.elitehost.com
#################################################################
#
#################################################################
# VERSION INFORMATION  #   
#################################################################
#
# Version 1.01 - Bug Fix - 05/31/98
# Left an extra mailing routine in the accntman.pl file by mistake.
# It was sending those that signed up two sents of confirmation
# messages.  Removed the extra mailing routine.
#
# Responses on some flavors of UNIX servers were adding extra
# domain names to the name of the mail sender.  This was sending
# emails to the wrong persons.  Switch the Name and the Email 
# address on the mailing routines to stop this from happening.
#
# Version 1.02 - Bug Fix - 06/08/98
# "Denied" email text file not being read and thus not printing
# on the email of the denied accounts.  Bug squashed.
#
# Version 1.03 - Bug Fix - 06/11/98
# The Account Finder email was not placing the subject in the
# subject line.  Fixed.
#
# Version 1.04 - Bug Fix - 08/27/98
# When trying to approve or deny individuals, using the DETAILS
# portion of the amadmin.pl program, every waiting account was
# approved or denied, respectively.  Bug found... squashed.
#
# Version 1.05 - Bug Fix - 11/02/98
# It appears the checking routines we were using were confusing
# some email addresses and passwords, thus causing members with
# similar passwords and email addresses to have problems.
#
# We have rewritten the entire checking system, and make it very
# specific.  Bug squashed.
#
# We also had a problem with users using multi-word usernames.
# We've added a checking routine that will notify the user that
# if they would like a multi-word username, they will need to use
# a dash or underscore between words.  Bug squashed.
#
# Created only one page of configurations, now called config.pl.
# You no longer need to edit anything in either the acctman.pl
# or the amadmin.pl files, except for the "require" line
# near the top of each script.  This tells the programs where
# to find their configurations.
#
#########################################################
# DO NOT EDIT BELOW THIS LINE
#########################################################
#########################################################

read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
@pairs = split(/&/, $buffer);
foreach $pair (@pairs) {
	($name, $value) = split(/=/, $pair);
	$value =~ tr/+/ /;
	$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
	if ($INPUT{$name}) { $INPUT{$name} = $INPUT{$name}.",".$value; }
	else { $INPUT{$name} = $value; }
      $value =~ s/<!--(.|\n)*-->//g;
}


$cgiurl = $ENV{'SCRIPT_NAME'};

# Define arrays for the day of the week and month of the year.           #
    @days   = ('Ͽ','','ȭ','',
	       '','ݿ','');
    @months = ('1','2','3','4','5','6','7',
		 '8','9','10','11','12');

    # Get the current time and format the hour, minutes and seconds.  Add    #
    # 1900 to the year to get the full 4 digit year.                         #
    ($sec,$min,$hour,$mday,$mon,$year,$wday) = (localtime(time))[0,1,2,3,4,5,6];
    $time = sprintf("%02d:%02d:%02d",$hour,$min,$sec);
    $year += 1900;

    # Format the date.                                                       #
    $date = "$days[$wday], $months[$mon] $mday, $year at $time";
    $date2 = "$days[$wday], $months[$mon] $mday, $year";
    $month = "$months[$mon]";





    $version = "1.05";

if ($INPUT{'awaiting'}) {&awaiting; }
elsif ($INPUT{'process'}) {&process; }
elsif ($INPUT{'indapprove'}) {&indapprove; }
elsif ($INPUT{'inddeny'}) {&inddeny; }
elsif ($INPUT{'deny'}) {&process; }
elsif ($INPUT{'approve'}) {&process; }
elsif ($INPUT{'active'}) {&active; }
elsif ($INPUT{'adelete'}) {&adelete; }
elsif ($INPUT{'processac'}) {&processac; }
elsif ($INPUT{'processch'}) {&processch; }
elsif ($INPUT{'update'}) {&update; }
elsif ($INPUT{'search'}) {&search; }
elsif ($INPUT{'ambill'}) {&ambill; }
elsif ($INPUT{'admin'}) {&admin; }
elsif ($INPUT{'admin2'}) {&admin2; }
elsif ($INPUT{'processsearch'}) {&processsearch; }
elsif ($INPUT{'areyousure'}) {&areyousure; }
elsif ($INPUT{'mmailform'}) {&mmailform; }
elsif ($INPUT{'mmail'}) {&mmail; }
elsif ($INPUT{'setpwd'}) {&setpwd; }
elsif ($INPUT{'passcheck'}) {&passcheck; }
elsif ($INPUT{'payhist'}) {&payhist; }
else {&admin; }#### Run the Administration panel


sub read {

#################################
# Users Awaiting Approval
#################################

opendir (DIR, "$memberinfo");
@file = grep { /.infotmp/} readdir(DIR);
close (DIR); 

$new_files = push(@file);

#################################
# Active Members
#################################

open (DAT, "<$memberinfo/amdata.db");
if ($LOCK_EX){ 
      flock(DAT, $LOCK_EX); #Locks the file
	}
@active = <DAT>;
$count = 0;
foreach $lines(@active) {
          $count++;

} 
close (DAT);
}

sub admin {

print "Content-type: text/html\n\n";
unless (-e "$passfile/password.txt") {

&setpassword;
}

&adminpass;
}

sub adminpass {

&header;
print<<EOF;
<FORM ACTION="$cgiurl" METHOD="POST"><CENTER><BR>
<TABLE BORDER="0" WIDTH="400"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR><TD
COLSTART="1"><P ALIGN="CENTER"><B><FONT FACE="verdana, arial, helvetica"><FONT
COLOR="#FF0000">Ȳ : </FONT> </FONT></B><BR></P>
<P><FONT SIZE="-1" FACE="verdana, arial, helvetica"> йȣ  ּ.</FONT></P>
<CENTER><TABLE BORDER="0"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR><TD
ALIGN="CENTER" COLSTART="1"><FONT SIZE="-1" FACE="verdana, arial, helvetica"><B>н</B></FONT><BR><INPUT
TYPE="PASSWORD" NAME="pwd"></TD></TR><TR><TD ALIGN="CENTER" COLSTART="1"><BR><INPUT
TYPE="SUBMIT" NAME="passcheck" VALUE="  Է  "><INPUT
TYPE="RESET" NAME=""></TD></TR></ROWS></TBODY></TABLE></CENTER>
<CENTER><TABLE BORDER="0" WIDTH="400"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR
><TD COLSTART="1"><HR SIZE="1"></TD></TR><TR><TD ALIGN="CENTER" COLSTART="1"><FONT
SIZE="-2" FACE="verdana, arial, helvetica">$orgname
maintained with <A HREF="http://cgi.elitehost.com/"><B>Account Manager LITE $version</B></A></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER></TD></TR></ROWS></TBODY></TABLE></CENTER></FORM>
EOF
&footer;
exit;
}

sub passcheck {

open (PASSWORD, "$passfile/password.txt");
           if ($LOCK_EX){ 
      flock(PASSWORD, $LOCK_EX); #Locks the file
	}
		$password = <PASSWORD>;
		close (PASSWORD);
		chop ($password) if ($password =~ /\n$/);


		if ($INPUT{'pwd'}) {
			$newpassword = crypt($INPUT{'pwd'}, aa);
		}
		else {
print "Content-type: text/html\n\n";
&header;
print<<EOF;
<FORM ACTION=\"$cgiurl\" METHOD=\"POST\"><CENTER><BR>
<TABLE BORDER=\"0\" WIDTH=\"400\"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR><TD
COLSTART=\"1\"><P><B><FONT FACE=\"verdana, arial, helvetica\"><FONT
COLOR=\"#FF0000\">н  ~*</FONT></B></P>
<P><FONT SIZE=\"-1\" FACE=\"verdana, arial, helvetica\"> н尡 Ʋ Ƚ.</FONT></P>
<CENTER><TABLE
BORDER=\"0\" WIDTH=\"400\"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR><TD
COLSTART=\"1\"><HR SIZE=\"1\"></TD></TR><TR><TD ALIGN=\"CENTER\" COLSTART=\"1\"><FONT
SIZE=\"-2\" FACE=\"verdana, arial, helvetica\">$orgname
maintained with  <A HREF=\"http://cgi.elitehost.com/\"><B>Account Manager LITE $version</B></A></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER></TD></TR></ROWS></TBODY></TABLE></CENTER></FORM>
EOF
&footer;
exit;
		}
		unless ($newpassword eq $password) {
print "Content-type: text/html\n\n";
&header;
print<<EOF;
<FORM ACTION=\"$cgiurl\" METHOD=\"POST\"><CENTER><BR>
<TABLE BORDER=\"0\" WIDTH=\"400\"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR><TD
COLSTART=\"1\"><P><B><FONT FACE=\"verdana, arial, helvetica\"><FONT
COLOR=\"#FF0000\">н .....</FONT></B></P>
<P><FONT SIZE=\"-1\" FACE=\"verdana, arial, helvetica\"> н尡 Ʋ ´ н带 Էϼ.</FONT></P>
<CENTER><TABLE
BORDER=\"0\" WIDTH=\"400\"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR><TD
COLSTART=\"1\"><HR SIZE=\"1\"></TD></TR><TR><TD ALIGN=\"CENTER\" COLSTART=\"1\"><FONT
SIZE=\"-2\" FACE=\"verdana, arial, helvetica\">$orgname
maintained with  <A HREF=\"http://cgi.elitehost.com/\"><B>Account Manager LITE $version</B></A></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER></TD></TR></ROWS></TBODY></TABLE></CENTER></FORM>
EOF
exit;
		}
&admin2;
}


sub admin2 {
&read;
print "Content-type: text/html\n\n";
&header;
print<<EOF; 
<CENTER><TABLE BORDER="1" WIDTH="450" CELLPADDING="5"><TBODY><COLDEFS><COLDEF><COLDEF
></COLDEFS><ROWS><TR><TD ALIGN="CENTER" COLSPAN="2" COLSTART="1"><B><FONT
SIZE="-2" FACE="verdana, arial, helvetica">CGI Script Center's</FONT><BR><FONT
SIZE="-1" FACE="verdana, arial, helvetica" COLOR="#FF0000">Account Manager LITE 
$version</FONT></B></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" ROWSPAN="2" COLSTART="1"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B> θ޴</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="LEFT" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B><FONT COLOR="#000000">ȸ : <FONT COLOR="#0000FF">$count</FONT></FONT></B></FONT></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="LEFT" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B><FONT COLOR="#000000"> ڼ :  <FONT COLOR="#0000FF">$new_files</FONT></FONT></B></FONT></TD></TR></ROWS></TBODY></TABLE><BR></CENTER>
<FORM ACTION="$cgiurl" METHOD="POST"><CENTER><TABLE BORDER="1" WIDTH="450" CELLPADDING="5"><TBODY><COLDEFS><COLDEF
><COLDEF></COLDEFS><ROWS><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="1"><INPUT
TYPE="SUBMIT" VALUE="  ˻   " NAME="awaiting"></TD><TD
VALIGN="MIDDLE" ALIGN="LEFT" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>ȸ / ź</B></FONT></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="1"><INPUT
TYPE="SUBMIT" VALUE="  ˻   " NAME="active"></TD><TD
VALIGN="MIDDLE" ALIGN="LEFT" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>ȸ </B></FONT></TD></TR>
<TR><TD VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="1"><INPUT
TYPE="SUBMIT" VALUE="  ˻   " NAME="search"></TD><TD
VALIGN="MIDDLE" ALIGN="LEFT" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>ID/йȣ ˻</B></FONT></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="1"><INPUT
TYPE="SUBMIT" VALUE="   " NAME="areyousure"></TD><TD
VALIGN="MIDDLE" ALIGN="LEFT" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>ȸ E-mail Ϻ</B></FONT></TD></TR>
<TR><TD VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="1" BGCOLOR="#C0C0C0"><INPUT
TYPE="SUBMIT" VALUE="Mail 뷮" NAME="mmailform"></TD><TD COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>ѻ  뷮</B></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER></FORM>
<CENTER><TABLE BORDER="0" WIDTH="450"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR
><TD COLSTART="1"><HR SIZE="1" WIDTH="450"></TD></TR><TR><TD
VALIGN="TOP" ALIGN="CENTER" COLSTART="1"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>$orgname maintained with
<A HREF="http://cgi.elitehost.com/">Account Manager LITE $version</A></B></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER>
EOF
&footer;
exit;
}


sub awaiting {

&read;

opendir (DIR, "$memberinfo"); 
@file = grep { /.infotmp/} readdir(DIR);

print "Content-type: text/html\n\n";
&header;
print <<EOF;
<CENTER><TABLE BORDER="1" WIDTH="500" CELLPADDING="5"><TBODY><COLDEFS><COLDEF><COLDEF
></COLDEFS><ROWS><TR><TD ALIGN="CENTER" COLSPAN="2" COLSTART="1"><B><FONT
SIZE="-2" FACE="verdana, arial, helvetica">CGI Script Center's</FONT><BR><FONT
SIZE="-1" FACE="verdana, arial, helvetica" COLOR="#FF0000">Account Manager LITE
$version</FONT></B></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" ROWSPAN="2" COLSTART="1"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B> </B></FONT></TD><TD
 VALIGN="MIDDLE" ALIGN="LEFT" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B><FONT COLOR="#000000">ȸ : <FONT COLOR="#0000FF">$count</FONT></FONT></B></FONT></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="LEFT" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B><FONT COLOR="#000000">  :  <FONT COLOR="#0000FF">$new_files</FONT></FONT></B></FONT></TD></TR></ROWS></TBODY></TABLE><BR></CENTER>
<FORM ACTION="$cgiurl" METHOD="POST"><CENTER><TABLE
BORDER="1" WIDTH="500" CELLPADDING="5"><TBODY><COLDEFS><COLDEF><COLDEF><COLDEF>
<COLDEF><COLDEF></COLDEFS><ROWS><TR><TD
ALIGN="CENTER" NOWRAP="NOWRAP" WIDTH="40" BGCOLOR="#C0C0C0" COLSTART="1"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B></B></FONT></TD><TD
ALIGN="CENTER" WIDTH="40" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>ź</B></FONT></TD><TD
ALIGN="CENTER" WIDTH="40" BGCOLOR="#C0C0C0" COLSTART="3"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B></B></FONT></TD><TD
ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="4"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B≯</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="5"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>ȸ̵</B></FONT></TD></TR>
EOF
#$count="0";
foreach $lines(@file) {
#$Count++;
#	next if ($count <= $UsersPerPage);
#	last if ($count > $UsersPerPage);
open (DAT, "<$memberinfo/$lines");
if ($LOCK_EX){ 
      flock(DAT, $LOCK_EX); #Locks the file
	} 
      @approval = <DAT>;
      close (DAT);
      close (DIR); 

        foreach $item(@approval) {
	
             @edit_approval = split(/\:/,$item);      
             print <<EOF;
<TR><TD
 VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="1"><INPUT
TYPE="RADIO" NAME="$edit_approval[0].infotmp" VALUE="approve"></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="2"><INPUT
TYPE="RADIO" NAME="$edit_approval[0].infotmp" VALUE="deny"></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="3"><INPUT
TYPE="RADIO" NAME="$edit_approval[0].infotmp" VALUE="details"></TD><TD
VALIGN="MIDDLE" ALIGN="LEFT" COLSTART="4"><A HREF="mailto:$edit_approval[2]"><FONT
SIZE="-2" FACE="verdana, arial, helvetica">$edit_approval[3] $edit_approval[4]</FONT></A></TD>
<TD VALIGN="MIDDLE" ALIGN="LEFT" COLSTART="5"><FONT
SIZE="-2" FACE="verdana, arial, helvetica">$edit_approval[0]</FONT></TD></TR>
EOF

}

}
print<<EOF;
</ROWS></TBODY></TABLE></CENTER>
<HR SIZE="1" WIDTH="500"><CENTER><TABLE BORDER="1" WIDTH="500"><TBODY><COLDEFS><COLDEF
><COLDEF></COLDEFS><ROWS><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="1"><INPUT
TYPE="SUBMIT" NAME="process" VALUE="      "><INPUT TYPE="RESET" NAME=""></TD>
<TD ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B><FONT SIZE="-1">Դ</FONT></B></FONT><BR><FONT
SIZE="-1" FACE="verdana, arial, helvetica">/ź</FONT></TD></TR></ROWS></TBODY></TABLE></CENTER>
<HR SIZE="1" WIDTH="500"><CENTER><TABLE BORDER="1" WIDTH="500"><TBODY><COLDEFS><COLDEF
><COLDEF></COLDEFS><ROWS><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="1"><INPUT
TYPE="SUBMIT" VALUE="θ޴" NAME="admin2"></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B><FONT SIZE="-1"> ޴</FONT></B></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER></FORM>
<CENTER><TABLE BORDER="0" WIDTH="500"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR
><TD COLSTART="1"><HR SIZE="1" WIDTH="500"></TD></TR><TR><TD
VALIGN="TOP" ALIGN="CENTER" COLSTART="1"><FONT
SIZE="-2" FACE="verdana, arial, helvetica"><B>$orgname maintained with
<A HREF="http://cgi.elitehost.com/">Account Manager LITE $version</A></B></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER>
EOF
&footer;
exit;
}

sub process {

#print "Content-type: text/html\n\n";
opendir (DIR, "$memberinfo"); 
@file = grep { /.infotmp/} readdir(DIR);
 foreach $lines(@file) {


     if ($INPUT{$lines} eq details) {
&read;
open (DAT, "<$memberinfo/$lines");
if ($LOCK_EX){ 
      flock(DAT, $LOCK_EX); #Locks the file
	} 
      @array = <DAT>;
      close (DAT);
      close (DIR); 




foreach $item(@array) {
             @edit_array = split(/\:/,$item);      
#if ($INPUT{$edit_array[0]} eq update) {last; }
#if ($edit_array[0] eq $INPUT{'update'}) {last; }
}
print "Content-type: text/html\n\n";
&header;
print<<EOF;
<CENTER><TABLE BORDER="1" WIDTH="500" CELLPADDING="5"><TBODY><COLDEFS><COLDEF><COLDEF
></COLDEFS><ROWS><TR><TD ALIGN="CENTER" COLSPAN="2" COLSTART="1"><B><FONT
SIZE="-2" FACE="verdana, arial, helvetica">CGI Script Center's</FONT><BR><FONT
SIZE="-1" FACE="verdana, arial, helvetica" COLOR="#FF0000">Account Manager LITE 
$version</FONT></B></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" ROWSPAN="2" COLSTART="1"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B> </B></FONT><BR><FONT
SIZE="-1" FACE="verdana, arial, helvetica">ȸ </FONT></TD><TD
VALIGN="MIDDLE" ALIGN="LEFT" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B><FONT COLOR="#000000">ȸ : <FONT COLOR="#0000FF">$count</FONT></FONT></B></FONT></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="LEFT" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B><FONT COLOR="#000000">  :  <FONT COLOR="#0000FF">$new_files</FONT></FONT></B></FONT></TD></TR></ROWS></TBODY></TABLE><BR></CENTER>
<FORM ACTION="$cgiurl" METHOD="POST"><INPUT
TYPE="HIDDEN" NAME="marker" VALUE="$edit_array[0]"><CENTER><TABLE
BORDER="1" WIDTH="500"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="1"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B> ȸ </B></FONT></TD></TR></ROWS></TBODY></TABLE><BR><TABLE
BORDER="1" WIDTH="500" CELLPADDING="5"><TBODY><COLDEFS><COLDEF><COLDEF><COLDEF></COLDEFS>
<ROWS><TR><TD
ALIGN="CENTER" COLSPAN="3" HEIGHT="0" BGCOLOR="#C0C0C0" COLSTART="1"><B><FONT
SIZE="-1" FACE="verdana, arial, helvetica">$edit_array[3]</FONT>
<FONT SIZE="-2" FACE="verdana, arial, helvetica">$edit_array[4]</FONT></B></TD></TR>
<TR><TD VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="1"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B≯</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>$edit_array[3]</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="3"><INPUT
TYPE="TEXT" SIZE="9" NAME="fname"></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="1"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>ȭȣ</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>$edit_array[4]</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="3"><INPUT
TYPE="TEXT" SIZE="9" NAME="lname"></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="1"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>E-mail ּ</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>$edit_array[2]</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="3"><INPUT
TYPE="TEXT" SIZE="9" NAME="email"></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="1"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>ȸ ID</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>$edit_array[0]</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="3"><INPUT
TYPE="TEXT" SIZE="9" NAME="username"></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="1"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>н</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>$edit_array[1]</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="3"><INPUT
TYPE="TEXT" SIZE="9" NAME="password"></TD></TR>
EOF


print<<EOF;
</TR></ROWS></TBODY></TABLE></CENTER>
<HR SIZE="1" WIDTH="500"><CENTER><TABLE BORDER="1" WIDTH="500"><TBODY><COLDEFS><COLDEF
><COLDEF></COLDEFS><ROWS><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="1"><INPUT
TYPE="SUBMIT" NAME="indapprove" VALUE="ȸ"><INPUT
TYPE="SUBMIT" NAME="inddeny" VALUE="ȸź"></TD><TD
ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B><FONT SIZE="-1"> </FONT></B></FONT><BR><FONT
SIZE="-1" FACE="verdana, arial, helvetica"></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER>
EOF

print<<EOF;
<HR SIZE="1" WIDTH="500"><CENTER><TABLE BORDER="1" WIDTH="500"><TBODY><COLDEFS><COLDEF
><COLDEF></COLDEFS><ROWS><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="1"><INPUT
TYPE="SUBMIT" NAME="admin2" VALUE="θ޴"></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B><FONT SIZE="-1">θ޴</FONT></B></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER>
</FORM><CENTER><TABLE
BORDER="0" WIDTH="500"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR><TD
COLSTART="1"><HR SIZE="1" WIDTH="500"></TD></TR><TR><TD
VALIGN="TOP" ALIGN="CENTER" COLSTART="1"><FONT
SIZE="-2" FACE="verdana, arial, helvetica"><B>$orgname maintained with
<A HREF="http://cgi.elitehost.com/">Account Manager LITE $version</A></B></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER>
EOF
exit;
}


      if (($INPUT{$lines} eq deny) || ($INPUT{'deny'})) {
      open (DAT, "<$memberinfo/$lines");
if ($LOCK_EX){ 
      flock(DAT, $LOCK_EX); #Locks the file
	} 
      @approval = <DAT>;
      close (DAT);
      close (DIR); 
        foreach $item(@approval) {
             @edit_approval = split(/\:/,$item);      

      #$tempfile = "$tempdir/$edit_approval[2]";      
      
      open (FILE,"$memberinfo/denied.txt"); #### Full path name from root.
if ($LOCK_EX){ 
      flock(FILE, $LOCK_EX); #Locks the file
	} 
 @denied_email_file  = <FILE>;
 close(FILE);

open (MAIL, "|$mailprog -t")
	            || print "Can't start mail program";
    
    print MAIL "To: $edit_approval[2]\n";
    print MAIL "From: $orgmail\n";
    print MAIL "Subject: $denied_email_subject\n";
    #Date
    print MAIL "$date\n";
    
    # Check for Message Subject
    
    print MAIL "-" x 75 . "\n\n";

    foreach $line(@denied_email_file) {
    print MAIL "$line";
    }
    print MAIL"\n\n";
    close (MAIL);
    unlink ("$memberinfo/$lines");

        }
}

      if (($INPUT{$lines} eq approve) || ($INPUT{'approve'})) {
      open (FILE, "<$memberinfo/$lines");
if ($LOCK_EX){ 
      flock(FILE, $LOCK_EX); #Locks the file
	}
      @approved = <FILE>;
      close (FILE);
      foreach $item(@approved) {
             
         open(DATABASE, ">>$memberinfo/amdata.db") or print"unable to create access temp file";
         if ($LOCK_EX){ 
      flock(DATABASE, $LOCK_EX); #Locks the file
	}
         chomp($item);
         print DATABASE "$item\n";

           if ($htaccess == "1") {
           open (DAT2, "<$memberinfo/$lines");
if ($LOCK_EX){ 
      flock(DAT2, $LOCK_EX); #Locks the file
	} 
           @second = <DAT2>;
           close (DAT2);
                foreach $item(@second) {
                @edit_second = split(/\:/,$item);
                chop ($edit_second[1]) if ($edit_second[1] =~ /\n$/);
		    $newpassword = crypt($edit_second[1], aa); 
                open(PASSWD, ">>$memaccess") or print"unable to create access temp file";
                print PASSWD "$edit_second[0]:$newpassword\n";
   }

close (PASSWD);


 }
close (DATABASE);
}

open (FILE, "<$memberinfo/$lines");
if ($LOCK_EX){ 
      flock(FILE, $LOCK_EX); #Locks the file
	}
       @approved = <FILE>;
       close (FILE);
       foreach $item(@approved) {

             @edit_approved = split(/\:/,$item);      



      #$tempfile = "$tempdir/$edit_approved[2]";      
      
      open (FILE,"$memberinfo/approved.txt"); #### Full path name from root.
if ($LOCK_EX){ 
      flock(FILE, $LOCK_EX); #Locks the file
	}
 @approved_email_file  = <FILE>;
 close(FILE);

open (MAIL, "|$mailprog -t")
	            || print "Can't start mail program";
    
    print MAIL "To: $edit_approved[2]\n";
    print MAIL "From: $orgmail\n";
    print MAIL "Subject: $approved_email_subject\n";
    #Date
    print MAIL "$date\n";
    
    # Check for Message Subject
    
    print MAIL "-" x 75 . "\n\n";

    foreach $line(@approved_email_file) {
    print MAIL "$line";
    }
    print MAIL"\n\n";
    close (MAIL);
    unlink ("$memberinfo/$lines");
        }
unlink ("$memberinfo/$lines");


}

if ($INPUT{$lines}) {
unlink ("$memberinfo/$lines");

}

}
{&read; &admin2; }#### 

}

sub indapprove {

      
open (FILE, "<$memberinfo/$INPUT{'marker'}.infotmp");
if ($LOCK_EX){ 
      flock(FILE, $LOCK_EX); #Locks the file
	}
      @approved = <FILE>;
      close (FILE);

open(DATABASE, ">>$memberinfo/amdata.db") or print"unable to create access temp file";
         if ($LOCK_EX){ 
      flock(DATABASE, $LOCK_EX); #Locks the file
	}
         chomp @approved;
         print DATABASE "@approved\n";

if ($htaccess == "1") {
           
                foreach $item(@approved) {
                @edit_approved = split(/\:/,$item);
                chop ($edit_approved[1]) if ($edit_approved[1] =~ /\n$/);
		    $newpassword = crypt($edit_approved[1], aa); 
                open(PASSWD, ">>$memaccess") or print"unable to create access temp file";
                print PASSWD "$edit_approved[0]:$newpassword\n";
   }

close (PASSWD);


 }
close (DATABASE);

open (FILE, "<$memberinfo/$INPUT{'marker'}.infotmp");
if ($LOCK_EX){ 
      flock(FILE, $LOCK_EX); #Locks the file
	}
       @approved = <FILE>;
       close (FILE);
       foreach $item(@approved) {
             @edit_approved = split(/\:/,$item);      


      #$tempfile = "$tempdir/$edit_approved[2]";      
      
      open (FILE,"$memberinfo/approved.txt"); #### Full path name from root.
if ($LOCK_EX){ 
      flock(FILE, $LOCK_EX); #Locks the file
	}
 @approved_email_file  = <FILE>;
 close(FILE);



    open (MAIL, "|$mailprog -t")
	            || print "Can't start mail program";
    
    print MAIL "To: $edit_approved[2]\n";
    print MAIL "From: $orgmail\n";
    print MAIL "Subject: $approved_email_subject\n";
    #Date
    print MAIL "$date\n";
    
    # Check for Message Subject
    
    print MAIL "-" x 75 . "\n\n";

    foreach $line(@approved_email_file) {
    print MAIL "$line";
    }
    print MAIL"\n\n";
    close (MAIL);

 
        

        #print "$memberinfo/$edit_approved[0].infotmp";
        #exit;
        unlink ("$memberinfo/$edit_approved[0].infotmp");
        }
unlink ("$memberinfo/$edit_approved[0].infotmp");

{&read; &admin2; }#### 
}

if ($INPUT{$lines}) {
unlink ("$memberinfo/$lines");

#}

#}


}


sub inddeny {

      open (DAT, "<$memberinfo/$INPUT{'marker'}.infotmp");
if ($LOCK_EX){ 
      flock(DAT, $LOCK_EX); #Locks the file
	} 
      @approval = <DAT>;
      close (DAT);
      close (DIR); 
        foreach $item(@approval) {
             @edit_approval = split(/\:/,$item);      

      #$tempfile = "$tempdir/$edit_approval[2]";      
      
      open (FILE,"$memberinfo/denied.txt"); #### Full path name from root.
if ($LOCK_EX){ 
      flock(FILE, $LOCK_EX); #Locks the file
	} 
 @denied_email_file  = <FILE>;
 close(FILE);

# Output a temporary file

    open (MAIL, "|$mailprog -t")
	            || print "Can't start mail program";
    
    print MAIL "To: $edit_approval[2]\n";
    print MAIL "From: $orgmail\n";
    print MAIL "Subject: $denied_email_subject\n";
    #Date
    print MAIL "$date\n";
    
    
    
    print MAIL "-" x 75 . "\n\n";

    foreach $line(@denied_email_file) {
    print MAIL "$line";
    }
    print MAIL"\n\n";
    close (MAIL);

 
        unlink ("$memberinfo/$INPUT{'marker'}.infotmp");
        }

{&read; &admin2; }#### 
}

#########################################
# ACTIVE USERS ##########################
#########################################

sub active {
&read;
open (DAT,"<$memberinfo/amdata.db");
if ($LOCK_EX){ 
      flock(DAT, $LOCK_EX); #Locks the file
	}
 @database_array = <DAT>;
 close (DAT);

print "Content-type: text/html\n\n";
&header;
print <<EOF;
<CENTER><TABLE
BORDER="1" WIDTH="500" CELLPADDING="5"><TBODY><COLDEFS><COLDEF><COLDEF></COLDEFS>
<ROWS><TR><TD ALIGN="CENTER" COLSPAN="2" COLSTART="1"><B><FONT
SIZE="-2" FACE="verdana, arial, helvetica">CGI Script Center's</FONT><BR><FONT
SIZE="-1" FACE="verdana, arial, helvetica" COLOR="#FF0000">Account Manager LITE 
$version</FONT></B></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" ROWSPAN="2" COLSTART="1"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B>ȸ</B></FONT><BR><FONT
SIZE="-1" FACE="verdana, arial, helvetica">//</FONT></TD><TD
VALIGN="MIDDLE" ALIGN="LEFT" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B><FONT COLOR="#000000">ȸ : <FONT COLOR="#0000FF">$count</FONT></FONT></B></FONT></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="LEFT" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B><FONT COLOR="#000000">  :  <FONT COLOR="#0000FF">$new_files</FONT></FONT></B></FONT></TD></TR></ROWS></TBODY></TABLE><BR></CENTER>
<FORM ACTION="$cgiurl" METHOD="POST"><CENTER><TABLE
BORDER="1" WIDTH="500" CELLPADDING="5"><TBODY><COLDEFS><COLDEF><COLDEF><COLDEF>
<COLDEF></COLDEFS><ROWS><TR><TD
ALIGN="CENTER" NOWRAP="NOWRAP" WIDTH="40" BGCOLOR="#C0C0C0" COLSTART="1"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>Ʈ</B></FONT></TD><TD
ALIGN="CENTER" WIDTH="40" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B></B></FONT></TD><TD
ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="3"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B≯</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="4"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>ȸID</B></FONT></TD></TR>
EOF

foreach $lines(@database_array) {
          @edit_array = split(/\:/,$lines);
print<<EOF;
<TR><TD
 VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="1"><INPUT
TYPE="RADIO" VALUE="$edit_array[0]" NAME="update"></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="2"><INPUT
TYPE="RADIO" VALUE="adelete" NAME="$edit_array[0]"></TD><TD
VALIGN="MIDDLE" ALIGN="LEFT" COLSTART="3"><A HREF="mailto:$edit_array[2]"><FONT
SIZE="-1" FACE="verdana, arial, helvetica">$edit_array[3] $edit_array[4]</FONT></A></TD>
<TD VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="4"><FONT
SIZE="-1" FACE="verdana, arial, helvetica">$edit_array[0]</FONT></TD></TR>
EOF
   }


print<<EOF;
</ROWS></TBODY></TABLE></CENTER>
<HR SIZE="1" WIDTH="500"><CENTER><TABLE BORDER="1" WIDTH="500"><TBODY><COLDEFS><COLDEF
><COLDEF></COLDEFS><ROWS><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="1"><INPUT
TYPE="SUBMIT" NAME="processac" VALUE="      "><INPUT
TYPE="RESET" NAME=""></TD><TD
ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B><FONT SIZE="-1">ȸ</FONT></B></FONT><BR><FONT
SIZE="-1" FACE="verdana, arial, helvetica">//</FONT></TD></TR></ROWS></TBODY></TABLE></CENTER>
<HR SIZE="1" WIDTH="500"><CENTER><TABLE BORDER="1" WIDTH="500"><TBODY><COLDEFS><COLDEF
><COLDEF></COLDEFS><ROWS><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="1"><INPUT
TYPE="SUBMIT" VALUE="θ޴" NAME="admin2"></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B><FONT SIZE="-1">θ޴</FONT></B></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER></FORM>
<CENTER><TABLE BORDER="0" WIDTH="500"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR
><TD COLSTART="1"><HR SIZE="1" WIDTH="500"></TD></TR><TR><TD
VALIGN="TOP" ALIGN="CENTER" COLSTART="1"><FONT
SIZE="-2" FACE="verdana, arial, helvetica"><B>$orgname maintained with
<A HREF="http://cgi.elitehost.com/">Account Manager LITE $version</A></B></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER>
EOF
&footer;
exit;
}

sub processac {

open (DAT,"<$memberinfo/amdata.db");
if ($LOCK_EX){ 
      flock(DAT, $LOCK_EX); #Locks the file
	}
 @database_array = <DAT>;
close (DAT);

open (DAT, ">$memberinfo/amdata.db");
if ($LOCK_EX){ 
      flock(DAT, $LOCK_EX); #Locks the file
	}
foreach $lines(@database_array) {
          @edit_array = split(/\:/,$lines);

if ($INPUT{$edit_array[0]} ne adelete) {
chomp($lines);
print DAT "$lines\n";
             
   }

}
close (DAT);
#&destatement;
&htaccess;


print "Content-type: text/html\n\n";
open (DAT,"<$memberinfo/amdata.db");
if ($LOCK_EX){ 
      flock(DAT, $LOCK_EX); #Locks the file
	}
 @database_array = <DAT>;
close (DAT);

foreach $lines(@database_array) {
          @edit_array = split(/\:/,$lines);
          
if ($edit_array[0] eq $INPUT{'update'}) {last; }

}
&update;

}

sub htaccess {
if ($htaccess == "1") {
       open (DAT2, "<$memaccess"); 
if ($LOCK_EX){ 
      flock(DAT2, $LOCK_EX); #Locks the file
	}
             @database_array = <DAT2>;
             close (DAT2);

open (DAT2, ">$memaccess");
if ($LOCK_EX){ 
      flock(DAT2, $LOCK_EX); #Locks the file
	} 
                foreach $lines(@database_array) {
          @edit_array = split(/\:/,$lines);
if ($INPUT{$edit_array[0]} ne adelete) {
chomp($lines);
print DAT2 "$lines\n";
}

}

}
close (DAT2);
unless ($INPUT{'update'}) {

&active;
exit;
}
}

sub update {
&read;

open (DAT,"<$memberinfo/amdata.db");
if ($LOCK_EX){ 
      flock(DAT, $LOCK_EX); #Locks the file
	}

 @database_array = <DAT>;
close (DAT);




#print "Content-type: text/html\n\n";

foreach $lines(@database_array) {
          @edit_array = split(/\:/,$lines);
#if ($INPUT{$edit_array[0]} eq update) {last; }
if ($edit_array[0] eq $INPUT{'update'}) {last; }
}
&header;
print<<EOF;
<CENTER><TABLE BORDER="1" WIDTH="500" CELLPADDING="5"><TBODY><COLDEFS><COLDEF><COLDEF
></COLDEFS><ROWS><TR><TD ALIGN="CENTER" COLSPAN="2" COLSTART="1"><B><FONT
SIZE="-2" FACE="verdana, arial, helvetica">CGI Script Center's</FONT><BR><FONT
SIZE="-1" FACE="verdana, arial, helvetica" COLOR="#FF0000">Account Manager LITE 
$version</FONT></B></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" ROWSPAN="2" COLSTART="1"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B>ȸ</B></FONT><BR><FONT
SIZE="-1" FACE="verdana, arial, helvetica">//</FONT></TD><TD
VALIGN="MIDDLE" ALIGN="LEFT" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B><FONT COLOR="#000000">ȸ : <FONT COLOR="#0000FF">$count</FONT></FONT></B></FONT></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="LEFT" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B><FONT COLOR="#000000">  :  <FONT COLOR="#0000FF">$new_files</FONT></FONT></B></FONT></TD></TR></ROWS></TBODY></TABLE><BR></CENTER>
<FORM ACTION="$cgiurl" METHOD="POST"><INPUT
TYPE="HIDDEN" NAME="marker" VALUE="$edit_array[0]"><CENTER><TABLE
BORDER="1" WIDTH="500"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="1"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B>ȸ </B></FONT></TD></TR></ROWS></TBODY></TABLE><BR><TABLE
BORDER="1" WIDTH="500" CELLPADDING="5"><TBODY><COLDEFS><COLDEF><COLDEF><COLDEF></COLDEFS>
<ROWS><TR><TD
ALIGN="CENTER" COLSPAN="3" HEIGHT="0" BGCOLOR="#C0C0C0" COLSTART="1"><B><FONT
SIZE="-1" FACE="verdana, arial, helvetica">$edit_array[3]</FONT>
<FONT SIZE="-2" FACE="verdana, arial, helvetica">$edit_array[4]</FONT></B></TD></TR>
<TR><TD VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="1"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B≯</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>$edit_array[3]</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="3"><INPUT
TYPE="TEXT" SIZE="9" NAME="fname"></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="1"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>ȭȣ</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>$edit_array[4]</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="3"><INPUT
TYPE="TEXT" SIZE="9" NAME="lname"></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="1"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>E-mail ּ</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>$edit_array[2]</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="3"><INPUT
TYPE="TEXT" SIZE="9" NAME="email"></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="1"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>ȸ ID</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>$edit_array[0]</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="3"><INPUT
TYPE="TEXT" SIZE="9" NAME="username"></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="1"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>н</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>$edit_array[1]</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="3"><INPUT
TYPE="TEXT" SIZE="9" NAME="password"></TD></TR>
EOF


print<<EOF;
</TR></ROWS></TBODY></TABLE></CENTER>
<HR SIZE="1" WIDTH="500"><CENTER><TABLE BORDER="1" WIDTH="500"><TBODY><COLDEFS><COLDEF
><COLDEF></COLDEFS><ROWS><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="1"><INPUT
TYPE="SUBMIT" NAME="processch" VALUE="      "><INPUT
TYPE="RESET" NAME=""></TD><TD
ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B><FONT SIZE="-1">ȸ</FONT></B></FONT><BR><FONT
SIZE="-1" FACE="verdana, arial, helvetica">//</FONT></TD></TR></ROWS></TBODY></TABLE></CENTER>
EOF


print<<EOF;
<HR SIZE="1" WIDTH="500"><CENTER><TABLE BORDER="1" WIDTH="500"><TBODY><COLDEFS><COLDEF
><COLDEF></COLDEFS><ROWS><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="1"><INPUT
TYPE="SUBMIT" NAME="admin2" VALUE="θ޴"></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B><FONT SIZE="-1">θ޴</FONT></B></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER>
</FORM><CENTER><TABLE
BORDER="0" WIDTH="500"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR><TD
COLSTART="1"><HR SIZE="1" WIDTH="500"></TD></TR><TR><TD
VALIGN="TOP" ALIGN="CENTER" COLSTART="1"><FONT
SIZE="-2" FACE="verdana, arial, helvetica"><B>$orgname maintained with
<A HREF="http://cgi.elitehost.com/">Account Manager LITE $version</A></B></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER>
EOF
&footer;
exit;

}

sub processch {

open (DAT,"<$memberinfo/amdata.db");
if ($LOCK_EX){ 
      flock(DAT, $LOCK_EX); #Locks the file
	}
 @database_array = <DAT>;
close (DAT);
open (DAT2, ">$memberinfo/amdata.db");
if ($LOCK_EX){ 
      flock(DAT2, $LOCK_EX); #Locks the file
	}

foreach $lines(@database_array) {
          @edit_array = split(/\:/,$lines);
            if ($edit_array[0] eq $INPUT{'marker'}) {
            
$edit_array[0] = $INPUT{'username'} if $INPUT{'username'};
$edit_array[1] = $INPUT{'password'} if $INPUT{'password'};
$edit_array[2] = $INPUT{'email'} if $INPUT{'email'};
$edit_array[3] = $INPUT{'fname'} if $INPUT{'fname'};
$edit_array[4] = $INPUT{'lname'} if $INPUT{'lname'};
$edit_array[7] = $INPUT{'payment'} if $INPUT{'payment'};
$edit_array[24] = $INPUT{'lastinv'} if $INPUT{'lastinv'};
$edit_array[17] = $INPUT{'tlastinv'} if $INPUT{'tlastinv'};
$edit_array[18] = $INPUT{'papplied'} if $INPUT{'papplied'};
$edit_array[19] = $INPUT{'aapplied'} if $INPUT{'aapplied'};

}

$newline = join
("\:",@edit_array);

chomp($newline);
print DAT2 "$newline\n";
}


close (DAT2);


if ($htaccess == "1") {
if ($INPUT{'username'} || $INPUT{'password'}) {

       open (DAT3, "<$memaccess"); 
if ($LOCK_EX){ 
      flock(DAT3, $LOCK_EX); #Locks the file
	}
                @database_array = <DAT3>;          
                close (DAT3);

open (DAT3, ">$memaccess"); 
if ($LOCK_EX){ 
      flock(DAT3, $LOCK_EX); #Locks the file
	}
      
        foreach $lines(@database_array) {
          @edit_array = split(/\:/,$lines);
            if ($edit_array[0] eq $INPUT{'marker'}) {
$edit_array[0] = $INPUT{'username'} if $INPUT{'username'};

            if ($INPUT{'password'}) {
 
chop ($INPUT{'password'}) if ($INPUT{'password'} =~ /\n$/);
		$newpassword = crypt($INPUT{'password'}, aa);
    $edit_array[1] = $newpassword if $INPUT{'password'}
}
}

$newline3 = join
("\:",@edit_array);

chomp($newline3);
print DAT3 "$newline3\n";
}
close (DAT3);

}


}








#if ($INPUT{'papplied'} || $INPUT{'aapplied'}) {


&active;
exit;
}

sub search {
&read;
print "Content-type: text/html\n\n";
&header;
print<<EOF;
<CENTER><TABLE
BORDER="1" WIDTH="500" CELLPADDING="5"><TBODY><COLDEFS><COLDEF><COLDEF></COLDEFS>
<ROWS><TR><TD ALIGN="CENTER" COLSPAN="2" COLSTART="1"><B><FONT
SIZE="-2" FACE="verdana, arial, helvetica">CGI Script Center's</FONT><BR><FONT
SIZE="-1" FACE="verdana, arial, helvetica" COLOR="#FF0000">Account Manager LITE 
$version</FONT></B></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" ROWSPAN="2" COLSTART="1"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B>ȸ ˻</B></FONT><BR><FONT
SIZE="-1" FACE="verdana, arial, helvetica">//</FONT></TD><TD
VALIGN="MIDDLE" ALIGN="LEFT" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B><FONT COLOR="#000000">ȸ : <FONT COLOR="#0000FF">$count</FONT></FONT></B></FONT></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="LEFT" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B><FONT COLOR="#000000">  :  <FONT COLOR="#0000FF">$new_files</FONT></FONT></B></FONT></TD></TR></ROWS></TBODY></TABLE><BR></CENTER>
<FORM ACTION="$cgiurl" METHOD="POST"><HR SIZE="1" WIDTH="500"><CENTER><TABLE
BORDER="1" WIDTH="500" CELLPADDING="5"><TBODY><COLDEFS><COLDEF><COLDEF></COLDEFS>
<ROWS><TR><TD WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="1"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>˻ : </B></FONT> <SELECT
NAME="searchby"><OPTION VALUE="- Select One -">- ϼ -</OPTION><OPTION
VALUE="Username">ȸ̵</OPTION><OPTION VALUE="fname"≯</OPTION><OPTION
VALUE="lname">ȭȣ</OPTION></SELECT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="2"><INPUT
TYPE="TEXT" SIZE="11" NAME="name"></TD></TR></ROWS></TBODY></TABLE></CENTER><HR
SIZE="1" WIDTH="500"><CENTER><BR><TABLE BORDER="1" WIDTH="500"><TBODY><COLDEFS>
<COLDEF><COLDEF></COLDEFS><ROWS><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="1"><INPUT
TYPE="SUBMIT" NAME="processsearch" VALUE="      "><INPUT
TYPE="RESET" NAME=""></TD><TD
ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B><FONT SIZE="-1">ȸ ˻</FONT></B></FONT><BR><FONT
SIZE="-1" FACE="verdana, arial, helvetica">//</FONT></TD></TR></ROWS></TBODY></TABLE></CENTER>
<HR SIZE="1" WIDTH="500"><CENTER><TABLE BORDER="1" WIDTH="500"><TBODY><COLDEFS><COLDEF
><COLDEF></COLDEFS><ROWS><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="1"><INPUT
TYPE="SUBMIT" VALUE="θ޴" NAME="admin2"></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B><FONT SIZE="-1">θ޴</FONT></B></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER></FORM><CENTER><TABLE
BORDER="0" WIDTH="500"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR><TD
COLSTART="1"><HR SIZE="1" WIDTH="500"></TD></TR><TR><TD
VALIGN="TOP" ALIGN="CENTER" COLSTART="1"><FONT
SIZE="-2" FACE="verdana, arial, helvetica"><B>$orgname maintained with
<A HREF="http://cgi.elitehost.com/">Account Manager LITE $version</A></B></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER></BODY></HTML>
EOF
&footer;
exit;
}

sub processsearch {

if ($INPUT{'searchby'} eq Username) {


print "Location: http://cgi.elitehost.com/acctlite/upgrade\n\n";

exit;

} 
#}

if ($INPUT{'searchby'} eq fname) {


print "Location: http://cgi.elitehost.com/acctlite/upgrade\n\n";

exit;
} 
#}

if ($INPUT{'searchby'} eq lname) {

print "Location: http://cgi.elitehost.com/acctlite/upgrade\n\n";
exit;
} 
#}

}

sub areyousure {

print "Location: http://cgi.elitehost.com/acctlite/upgrade\n\n";
exit;
}

sub mmailform {

print "Location: http://cgi.elitehost.com/acctlite/upgrade\n\n";
exit;
}

sub mmail {

print "Location: http://cgi.elitehost.com/acctlite/upgrade\n\n";
exit;

}


sub searchedit {
&read;

print "Content-type: text/html\n\n";
&header;
print <<EOF;
<CENTER><TABLE
BORDER="1" WIDTH="500" CELLPADDING="5"><TBODY><COLDEFS><COLDEF><COLDEF></COLDEFS>
<ROWS><TR><TD ALIGN="CENTER" COLSPAN="2" COLSTART="1"><B><FONT
SIZE="-2" FACE="verdana, arial, helvetica">CGI Script Center's</FONT><BR><FONT
SIZE="-1" FACE="verdana, arial, helvetica" COLOR="#FF0000">Account Manager LITE 
$version</FONT></B></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" ROWSPAN="2" COLSTART="1"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B>ȸ</B></FONT><BR><FONT
SIZE="-1" FACE="verdana, arial, helvetica">//</FONT></TD><TD
VALIGN="MIDDLE" ALIGN="LEFT" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B><FONT COLOR="#000000">ȸ : <FONT COLOR="#0000FF">$count</FONT></FONT></B></FONT></TD></TR><TR><TD
VALIGN="MIDDLE" ALIGN="LEFT" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B><FONT COLOR="#000000">  :  <FONT COLOR="#0000FF">$new_files</FONT></FONT></B></FONT></TD></TR></ROWS></TBODY></TABLE><BR></CENTER>
<FORM ACTION="$cgiurl" METHOD="POST"><CENTER><TABLE
BORDER="1" WIDTH="500" CELLPADDING="5"><TBODY><COLDEFS><COLDEF><COLDEF><COLDEF>
<COLDEF></COLDEFS><ROWS><TR><TD
ALIGN="CENTER" NOWRAP="NOWRAP" WIDTH="40" BGCOLOR="#C0C0C0" COLSTART="1"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>Ʈ</B></FONT></TD><TD
ALIGN="CENTER" WIDTH="40" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B></B></FONT></TD><TD
ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="3"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B≯</B></FONT></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" BGCOLOR="#C0C0C0" COLSTART="4"><FONT
SIZE="-1" FACE="verdana, arial, helvetica"><B>ȸID</B></FONT></TD></TR>
EOF

print<<EOF;
<TR><TD
 VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="1"><INPUT
TYPE="RADIO" VALUE="$edit_array[0]" NAME="update"></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="2"><INPUT
TYPE="RADIO" VALUE="adelete" NAME="$edit_array[0]"></TD><TD
VALIGN="MIDDLE" ALIGN="LEFT" COLSTART="3"><A HREF="mailto:$edit_array[2]"><FONT
SIZE="-1" FACE="verdana, arial, helvetica">$edit_array[3] $edit_array[4]</FONT></A></TD>
<TD VALIGN="MIDDLE" ALIGN="CENTER" COLSTART="4"><FONT
SIZE="-1" FACE="verdana, arial, helvetica">$edit_array[0]</FONT></TD></TR>
EOF

print<<EOF;
</ROWS></TBODY></TABLE></CENTER>
<HR SIZE="1" WIDTH="500"><CENTER><TABLE BORDER="1" WIDTH="500"><TBODY><COLDEFS><COLDEF
><COLDEF></COLDEFS><ROWS><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="1"><INPUT
TYPE="SUBMIT" NAME="processac" VALUE="      "><INPUT
TYPE="RESET" NAME=""></TD><TD
ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B><FONT SIZE="-1">ȸ</FONT></B></FONT><BR><FONT
SIZE="-1" FACE="verdana, arial, helvetica">//</FONT></TD></TR></ROWS></TBODY></TABLE></CENTER>
<HR SIZE="1" WIDTH="500"><CENTER><TABLE BORDER="1" WIDTH="500"><TBODY><COLDEFS><COLDEF
><COLDEF></COLDEFS><ROWS><TR><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="1"><INPUT
TYPE="SUBMIT" VALUE="θ޴" NAME="admin2"></TD><TD
VALIGN="MIDDLE" ALIGN="CENTER" WIDTH="50%" BGCOLOR="#C0C0C0" COLSTART="2"><FONT
SIZE="+1" FACE="verdana, arial, helvetica"><B><FONT SIZE="-1">θ޴</FONT></B></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER></FORM>
<CENTER><TABLE BORDER="0" WIDTH="500"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR
><TD COLSTART="1"><HR SIZE="1" WIDTH="500"></TD></TR><TR><TD
VALIGN="TOP" ALIGN="CENTER" COLSTART="1"><FONT
SIZE="-2" FACE="verdana, arial, helvetica"><B>$orgname maintained with
<A HREF="http://cgi.elitehost.com/">Account Manager LITE $version</A></B></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER>
EOF
&footer;
exit;
}


sub header {
open (FILE,"<$header/header.txt"); #### Full path name from root.
if ($LOCK_EX){ 
      flock(FILE, $LOCK_EX); #Locks the file
	} 
 @headerfile = <FILE>;
 close(FILE);
print "<HTML><HEAD><TITLE></TITLE></HEAD><BODY $bodyspec>\n";
foreach $line(@headerfile) {
print "$line";
  }
}


sub footer {
open (FILE,"<$footer/footer.txt"); #### Full path name from root.
if ($LOCK_EX){ 
      flock(FILE, $LOCK_EX); #Locks the file
	} 
 @footerfile = <FILE>;
 close(FILE);
foreach $line(@footerfile) {
print "$line";

}
print "</BODY></HTML>";
}

sub ambill {

print "Location: http://cgi.elitehost.com/acctlite/upgrade\n\n";
exit;

}


sub mailbills {
print "Location: http://cgi.elitehost.com/acctlite/upgrade\n\n";
exit;

}


sub setpassword {

&header;
print<<EOF;
<FORM ACTION=\"$cgiurl\" METHOD=\"POST\"><CENTER><BR>
<TABLE BORDER=\"0\" WIDTH=\"400\"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR><TD
COLSTART=\"1\"><P><B><FONT FACE=\"verdana, arial, helvetica\"><FONT
COLOR="#FF0000">н Ȯ!</FONT></B></P>
<P><FONT SIZE="-1" FACE=\"verdana, arial, helvetica\"> йȣ Է ּ.</FONT></P>
<CENTER><TABLE BORDER=\"0\"><TBODY><COLDEFS><COLDEF><COLDEF></COLDEFS><ROWS><TR
><TD ALIGN=\"RIGHT\" COLSTART=\"1\"><INPUT TYPE=\"PASSWORD\" NAME=\"pwd\"></TD><TD
COLSTART=\"2\"><FONT SIZE=\"-2\" FACE=\"verdana, arial, helvetica\">н</FONT></TD></TR>
<TR><TD ALIGN=\"RIGHT\" COLSTART=\"1\"><INPUT TYPE=\"PASSWORD\" NAME=\"pwd2\"></TD><TD
COLSTART=\"2\"><FONT SIZE=\"-2\" FACE=\"verdana, arial, helvetica\">н Ȯ</FONT></TD></TR>
<TR><TD ALIGN=\"CENTER\" COLSTART=\"1\"><BR><INPUT
TYPE=\"SUBMIT\" NAME=\"setpwd\" VALUE=\"  Ȯ  \"></TD><TD COLSTART=\"2\"><BR><INPUT
TYPE=\"RESET\" NAME=\"\"></TD></TR></ROWS></TBODY></TABLE></CENTER><CENTER><TABLE
BORDER=\"0\" WIDTH=\"400\"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR><TD
COLSTART=\"1\"><HR SIZE=\"1\"></TD></TR><TR><TD ALIGN=\"CENTER\" COLSTART=\"1\"><FONT
SIZE=\"-2\" FACE=\"verdana, arial, helvetica\">$orgname
maintained with  <A HREF=\"http://cgi.elitehost.com/\"><B>Account Manager LITE $version</B></A></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER></TD></TR></ROWS></TBODY></TABLE></CENTER></FORM>
EOF
&footer;
exit;
}

sub setpwd {
print "Content-type: text/html\n\n";
unless ($INPUT{'pwd'} && $INPUT{'pwd2'}) {
&header;
print<<EOF;
<FORM ACTION=\"$cgiurl\" METHOD=\"POST\"><CENTER><BR>
<TABLE BORDER=\"0\" WIDTH=\"400\"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR><TD
COLSTART=\"1\"><P><B><FONT FACE=\"verdana, arial, helvetica\"><FONT
COLOR=\"#FF0000\"> н尡 ...</FONT></B></P>
<P><FONT SIZE=\"-1\" FACE=\"verdana, arial, helvetica\">ֱ׷?  н带 Էϼ~~</FONT></P>
<CENTER><TABLE BORDER=\"0\"><TBODY><COLDEFS><COLDEF><COLDEF></COLDEFS><ROWS><TR
><TD ALIGN=\"RIGHT\" COLSTART=\"1\"><INPUT TYPE=\"PASSWORD\" NAME=\"pwd\"></TD><TD
COLSTART=\"2\"><FONT SIZE=\"-2\" FACE=\"verdana, arial, helvetica\">н</FONT></TD></TR>
<TR><TD ALIGN=\"RIGHT\" COLSTART=\"1\"><INPUT TYPE=\"PASSWORD\" NAME=\"pwd2\"></TD><TD
COLSTART=\"2\"><FONT SIZE=\"-2\" FACE=\"verdana, arial, helvetica\">Ȯ</FONT></TD></TR>
<TR><TD ALIGN=\"CENTER\" COLSTART=\"1\"><BR><INPUT
TYPE=\"SUBMIT\" NAME=\"setpwd\" VALUE=\"  Ȯ  \"></TD><TD COLSTART=\"2\"><BR><INPUT
TYPE=\"RESET\" NAME=\"\"></TD></TR></ROWS></TBODY></TABLE></CENTER><CENTER><TABLE
BORDER=\"0\" WIDTH=\"400\"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR><TD
COLSTART=\"1\"><HR SIZE=\"1\"></TD></TR><TR><TD ALIGN=\"CENTER\" COLSTART=\"1\"><FONT
SIZE=\"-2\" FACE=\"verdana, arial, helvetica\">$orgname
maintained with  <A HREF=\"http://cgi.elitehost.com/\"><B>Account Manager LITE $version</B></A></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER></TD></TR></ROWS></TBODY></TABLE></CENTER></FORM>
EOF
&footer;
exit;
}
if ($INPUT{'pwd'} && $INPUT{'pwd2'}) {
    if ($INPUT{'pwd'} ne $INPUT{'pwd2'}) {

&header;
print<<EOF;
<FORM ACTION=\"$cgiurl\" METHOD=\"POST\"><CENTER><BR>
<TABLE BORDER=\"0\" WIDTH=\"400\"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR><TD
COLSTART=\"1\"><P><B><FONT FACE=\"verdana, arial, helvetica\"><FONT
COLOR=\"#FF0000\">н  ʽϴ.</FONT></B></P>
<P><FONT SIZE=\"-1\" FACE=\"verdana, arial, helvetica\"> Ȯο Է н尡  ʽϴ.  ԷϽʽÿ.</FONT></P>
<CENTER><TABLE BORDER=\"0\"><TBODY><COLDEFS><COLDEF><COLDEF></COLDEFS><ROWS><TR
><TD ALIGN=\"RIGHT\" COLSTART=\"1\"><INPUT TYPE=\"PASSWORD\" NAME=\"pwd\"></TD><TD
COLSTART=\"2\"><FONT SIZE=\"-2\" FACE=\"verdana, arial, helvetica\">password</FONT></TD></TR>
<TR><TD ALIGN=\"RIGHT\" COLSTART=\"1\"><INPUT TYPE=\"PASSWORD\" NAME=\"pwd2\"></TD><TD
COLSTART=\"2\"><FONT SIZE=\"-2\" FACE=\"verdana, arial, helvetica\">confirmation</FONT></TD></TR>
<TR><TD ALIGN=\"CENTER\" COLSTART=\"1\"><BR><INPUT
TYPE=\"SUBMIT\" NAME=\"setpwd\" VALUE=\"  Set Password  \"></TD><TD COLSTART=\"2\"><BR><INPUT
TYPE=\"RESET\" NAME=\"\"></TD></TR></ROWS></TBODY></TABLE></CENTER><CENTER><TABLE
BORDER=\"0\" WIDTH=\"400\"><TBODY><COLDEFS><COLDEF></COLDEFS><ROWS><TR><TD
COLSTART=\"1\"><HR SIZE=\"1\"></TD></TR><TR><TD ALIGN=\"CENTER\" COLSTART=\"1\"><FONT
SIZE=\"-2\" FACE=\"verdana, arial, helvetica\">$orgname
maintained with  <A HREF=\"http://cgi.elitehost.com/\"><B>Account Manager LITE  $version</B></A></FONT></TD></TR></ROWS></TBODY></TABLE></CENTER></TD></TR></ROWS></TBODY></TABLE></CENTER></FORM>
EOF
&footer;
exit;
}
}

chop ($pwd) if ($pwd =~ /\n$/);
		$newpassword = crypt($INPUT{'pwd'}, aa);

open (PASSWORD, ">$passfile/password.txt")|| print "Could not write password text file.  Check your permission settings";
     
    if ($LOCK_EX){ 
      flock(PASSWORD, $LOCK_EX); #Locks the file
	}
      print PASSWORD "$newpassword";
	close (PASSWORD);
&adminpass;
exit;
}

sub payhist {


print "Location: http://cgi.elitehost.com/acctlite/upgrade\n\n";
exit;

}

